// file: $USFS/class/image_analysis/v1.0/imaga_cstr_0.cc
//

// isip include files
//
#include "sbe_eval.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Sbe_eval::~Sbe_eval() {
  

  // delete memory of the private data
  //
  if (filename_d != (char_1*)NULL) {
    delete [] filename_d;
  }
  
  if (name_d != (char_1**)NULL) {
    delete [] name_d;
  }

  if (sbe_value_d != (float_4*)NULL) {
    delete [] sbe_value_d;
  }
  
  // exit gracefully
  //
}


